Line spacing wrong when Export to PDF and data defined font properties

2011-12-13 04:37 AM - BootheelMaps .

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14540

Description

I am using the new labeling system and multi-line labels.  I am also using data defined font properties such as Size and Font Family. 

Rendering to screen, this appears to work well.  However, when exporting to PDF, the line spacing is wrong.  The line spacing seems to

be based on the Text Style (font and size) on the Label Settings tab of the Labeling Dialog, rather than using the data defined font

properties.

Changing the Text Style in the Labeling Dialog also results in minor changes in text positioning for single-line labels, but these changes

are usually small, and thus they are not too troublesome.  However, I mention it here as it may provide an additional clue to help debug the

problem, as I believe that it is related to the line spacing problem.

I am using QGIS 1.7.2 on Microsoft Windows 7.

History

#1 - 2011-12-16 02:05 PM - Giovanni Manghi

- Category set to 33

#2 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#6 - 2014-06-22 12:31 AM - Nyall Dawson

- Category changed from Map Composer/Printing to Labelling

#7 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#9 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
